// pages/warnIndex/warnIndex.js
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        nameList:[],
        pid:null,
        curRole:null,
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        console.log(options)
        this.setData({
            curRole: app.globalData.curRole,
            pid:options.id
          })
        wx.request({
            url: app.globalData.appBaseUrl + '/api/lawCategory',
            method: 'GET',
            header: {
              Authorization: app.globalData.Authorization
            },
            data: {
              county:app.globalData.appCounty,
              pid:this.data.pid,
              page: 0,
              size: 99999
            },
            header: {
              Authorization: app.globalData.Authorization
            },
            success: (res) => {
              let arr=  [...res.data.content]
              console.log(arr,'arr')
              let newarr = [];
              for(let i=0;i<arr.length;i++){
                  newarr.push({name:arr[i].name,id:arr[i].id})
              }
              var newArr1 = newarr.filter(function(item,index){
                return newarr.indexOf(item) === index;  // 因为indexOf 只能查找到第一个  
             });
             this.setData({
                nameList: newArr1
              })
             
              return
              arr = newarr;
              console.log(arr, '获取当前企业的隐患arr3')
              if (res.statusCode === 200) {
                this.setData({
                  dglist: [...res.data.content]
                })
                return;
              } else if (res.statusCode === 401) {
                wx.redirectTo({
                  url: '/pages/login/login',
                })
              } else {
                wx.showToast({
                  title: '获取失败',
                  icon: 'error',
                  duration: 2000
                })
              }
              wx.hideLoading()
            },
            fail: () => {
              wx.hideLoading()
            }
          })

    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    },
    linkToDet:function(e){
        console.log(e,'aaaaa')
        wx.redirectTo({
            url: '/pages/law/law?id='+e.currentTarget.dataset.id,
          })
    }
})